Bug 1121391 - Rest API operations Fail on oVirt-engine's logs
Summary: Rest API operations Fail on oVirt-engine's logs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: Antonin Pagac
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 10:56 UTC by Ori Gofen
Modified: 2016-05-26 01:50 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:35:09 UTC
oVirt Team: Infra


Attachments (Terms of Use)
vdsm+engine logs (1.42 MB, application/x-gzip)
2014-07-20 10:56 UTC, Ori Gofen
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30551 master MERGED core : Rest API operations Fail on oVirt-engine's logs Never
oVirt gerrit 30735 ovirt-engine-3.5 MERGED core : Rest API operations Fail on oVirt-engine's logs Never

Description Ori Gofen 2014-07-20 10:56:37 UTC
Created attachment 919371 [details]
vdsm+engine logs

Description of problem:
When executing a rest-api operation via py-sdk.
it fails on logs with message:

2014-07-20 13:50:39,493 ERROR [org.ovirt.engine.core.aaa.filters.RestApiSessionMgmtFilter] (ajp--127.0.0.1-8702-1) Session-TTL header was not passed. Not setting TTL value
  2014-07-20 13:51:20,101 ERROR [org.ovirt.engine.core.aaa.filters.RestApiSessionMgmtFilter] (ajp--127.0.0.1-8702-9) Session-TTL header was not passed. Not setting TTL value
  2014-07-20 13:51:47,357 ERROR [org.ovirt.engine.core.aaa.filters.RestApiSessionMgmtFilter] (ajp--127.0.0.1-8702-8) Session-TTL header was not passed. Not setting TTL value



Version-Release number of selected component (if applicable):
beta.1

How reproducible:
100%

Steps to Reproduce:
1.execute vm creation+disk via py-sdk
2.remove vm via py-sdk

Actual results:
engine throws errors

Expected results:
no error should be shown if operation is successful 

Additional info:

Comment 1 Allon Mureinik 2014-07-20 12:26:45 UTC
Juan, any insights?

Comment 2 Juan Hernández 2014-07-21 07:40:21 UTC
This error messages is generated by the authentication layer, and it shouldn't. However it shouldn't cause any issue other than the noise in the log.

Comment 3 Oved Ourfali 2014-07-26 12:57:02 UTC
Requires 3.5 backport

Comment 4 Antonin Pagac 2014-09-03 11:34:01 UTC
Verified in: oVirt Engine Version: 3.5.0-0.0.master.20140821064931.gitb794d66.el6

No error messages in engine and vdsm logs after successfully completed operations.

Comment 5 Sandro Bonazzola 2014-10-17 12:35:09 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.